Module upgrade won't upgrade stdlib

asked 2014-01-31 09:52:48 -0500

robrwo gravatar image

I am running Puppet Enterprise 3.1.1 and have puppetlabs-stdlib v3.2.0.

I want to use the suffix function which was added in v4.0.0. But when I run puppet module install puppetlabs/stdlib it shows:

Notice: Preparing to upgrade 'puppetlabs-stdlib' ...
Notice: Found 'puppetlabs-stdlib' (v3.2.0) in /opt/puppet/share/puppet/modules ...
Notice: Downloading from https://forge.puppetlabs.com ...
Notice: Upgrading -- do not interrupt ...
/opt/puppet/share/puppet/modules
└── puppetlabs-stdlib (v3.2.0 -> v3.2.0)

Can I upgrade stdlib in PE?

edit retag flag offensive close merge delete